From cf573cc22f877674aa2f7935491b9d7dbaea0f34 Mon Sep 17 00:00:00 2001
From: Shazad Hussain <quic_shazhuss@quicinc.com>
Date: Sun, 9 Oct 2022 17:00:40 +0530
Subject: [PATCH 11/65] dt-bindings: clock: add support for clock ids for
 lemans

Add clock IDs for CAMCC/DISPCC/GCC/GPUCC/VIDEOCC for clients to be able to
request for clocks from these clock controllers.

Signed-off-by: Shazad Hussain <quic_shazhuss@quicinc.com>
Change-Id: Icc211432e6c6e9f6328ce3a54ce478a78199695e
---
 include/dt-bindings/clock/qcom,camcc-lemans.h | 103 ++++++
 .../dt-bindings/clock/qcom,dispcc-lemans.h    |  81 +++++
 include/dt-bindings/clock/qcom,gcc-lemans.h   | 298 ++++++++++++++++++
 include/dt-bindings/clock/qcom,gpucc-lemans.h |  34 ++
 .../dt-bindings/clock/qcom,videocc-lemans.h   |  38 +++
 5 files changed, 554 insertions(+)
 create mode 100644 include/dt-bindings/clock/qcom,camcc-lemans.h
 create mode 100644 include/dt-bindings/clock/qcom,dispcc-lemans.h
 create mode 100644 include/dt-bindings/clock/qcom,gcc-lemans.h
 create mode 100644 include/dt-bindings/clock/qcom,gpucc-lemans.h
 create mode 100644 include/dt-bindings/clock/qcom,videocc-lemans.h

diff --git a/include/dt-bindings/clock/qcom,camcc-lemans.h b/include/dt-bindings/clock/qcom,camcc-lemans.h
new file mode 100644
index 000000000000..38aed5190a2b
--- /dev/null
+++ b/include/dt-bindings/clock/qcom,camcc-lemans.h
@@ -0,0 +1,103 @@
+/* SPDX-License-Identifier: GPL-2.0-only */
+/*
+ * Copyright (c) 2022, Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+#ifndef _DT_BINDINGS_CLK_QCOM_CAM_CC_LEMANS_H
+#define _DT_BINDINGS_CLK_QCOM_CAM_CC_LEMANS_H
+
+/* CAM_CC clocks */
+#define CAM_CC_PLL0					0
+#define CAM_CC_PLL0_OUT_EVEN				1
+#define CAM_CC_PLL0_OUT_ODD				2
+#define CAM_CC_PLL2					3
+#define CAM_CC_PLL3					4
+#define CAM_CC_PLL3_OUT_EVEN				5
+#define CAM_CC_PLL4					6
+#define CAM_CC_PLL4_OUT_EVEN				7
+#define CAM_CC_PLL5					8
+#define CAM_CC_PLL5_OUT_EVEN				9
+#define CAM_CC_CAMNOC_AXI_CLK				10
+#define CAM_CC_CAMNOC_AXI_CLK_SRC			11
+#define CAM_CC_CAMNOC_DCD_XO_CLK			12
+#define CAM_CC_CAMNOC_XO_CLK				13
+#define CAM_CC_CCI_0_CLK				14
+#define CAM_CC_CCI_0_CLK_SRC				15
+#define CAM_CC_CCI_1_CLK				16
+#define CAM_CC_CCI_1_CLK_SRC				17
+#define CAM_CC_CCI_2_CLK				18
+#define CAM_CC_CCI_2_CLK_SRC				19
+#define CAM_CC_CCI_3_CLK				20
+#define CAM_CC_CCI_3_CLK_SRC				21
+#define CAM_CC_CORE_AHB_CLK				22
+#define CAM_CC_CPAS_AHB_CLK				23
+#define CAM_CC_CPAS_FAST_AHB_CLK			24
+#define CAM_CC_CPAS_IFE_0_CLK				25
+#define CAM_CC_CPAS_IFE_1_CLK				26
+#define CAM_CC_CPAS_IFE_LITE_CLK			27
+#define CAM_CC_CPAS_IPE_CLK				28
+#define CAM_CC_CPAS_SFE_LITE_0_CLK			29
+#define CAM_CC_CPAS_SFE_LITE_1_CLK			30
+#define CAM_CC_CPHY_RX_CLK_SRC				31
+#define CAM_CC_CSI0PHYTIMER_CLK				32
+#define CAM_CC_CSI0PHYTIMER_CLK_SRC			33
+#define CAM_CC_CSI1PHYTIMER_CLK				34
+#define CAM_CC_CSI1PHYTIMER_CLK_SRC			35
+#define CAM_CC_CSI2PHYTIMER_CLK				36
+#define CAM_CC_CSI2PHYTIMER_CLK_SRC			37
+#define CAM_CC_CSI3PHYTIMER_CLK				38
+#define CAM_CC_CSI3PHYTIMER_CLK_SRC			39
+#define CAM_CC_CSID_CLK					40
+#define CAM_CC_CSID_CLK_SRC				41
+#define CAM_CC_CSID_CSIPHY_RX_CLK			42
+#define CAM_CC_CSIPHY0_CLK				43
+#define CAM_CC_CSIPHY1_CLK				44
+#define CAM_CC_CSIPHY2_CLK				45
+#define CAM_CC_CSIPHY3_CLK				46
+#define CAM_CC_FAST_AHB_CLK_SRC				47
+#define CAM_CC_GDSC_CLK					48
+#define CAM_CC_ICP_AHB_CLK				49
+#define CAM_CC_ICP_CLK					50
+#define CAM_CC_ICP_CLK_SRC				51
+#define CAM_CC_IFE_0_CLK				52
+#define CAM_CC_IFE_0_CLK_SRC				53
+#define CAM_CC_IFE_0_FAST_AHB_CLK			54
+#define CAM_CC_IFE_1_CLK				55
+#define CAM_CC_IFE_1_CLK_SRC				56
+#define CAM_CC_IFE_1_FAST_AHB_CLK			57
+#define CAM_CC_IFE_LITE_AHB_CLK				58
+#define CAM_CC_IFE_LITE_CLK				59
+#define CAM_CC_IFE_LITE_CLK_SRC				60
+#define CAM_CC_IFE_LITE_CPHY_RX_CLK			61
+#define CAM_CC_IFE_LITE_CSID_CLK			62
+#define CAM_CC_IFE_LITE_CSID_CLK_SRC			63
+#define CAM_CC_IPE_AHB_CLK				64
+#define CAM_CC_IPE_CLK					65
+#define CAM_CC_IPE_CLK_SRC				66
+#define CAM_CC_IPE_FAST_AHB_CLK				67
+#define CAM_CC_MCLK0_CLK				68
+#define CAM_CC_MCLK0_CLK_SRC				69
+#define CAM_CC_MCLK1_CLK				70
+#define CAM_CC_MCLK1_CLK_SRC				71
+#define CAM_CC_MCLK2_CLK				72
+#define CAM_CC_MCLK2_CLK_SRC				73
+#define CAM_CC_MCLK3_CLK				74
+#define CAM_CC_MCLK3_CLK_SRC				75
+#define CAM_CC_SFE_LITE_0_CLK				76
+#define CAM_CC_SFE_LITE_0_FAST_AHB_CLK			77
+#define CAM_CC_SFE_LITE_1_CLK				78
+#define CAM_CC_SFE_LITE_1_FAST_AHB_CLK			79
+#define CAM_CC_SLEEP_CLK				80
+#define CAM_CC_SLEEP_CLK_SRC				81
+#define CAM_CC_SLOW_AHB_CLK_SRC				82
+#define CAM_CC_XO_CLK_SRC				83
+
+/* CAM_CC resets */
+#define CAM_CC_ICP_BCR					0
+#define CAM_CC_IFE_0_BCR				1
+#define CAM_CC_IFE_1_BCR				2
+#define CAM_CC_IPE_0_BCR				3
+#define CAM_CC_SFE_LITE_0_BCR				4
+#define CAM_CC_SFE_LITE_1_BCR				5
+
+#endif
diff --git a/include/dt-bindings/clock/qcom,dispcc-lemans.h b/include/dt-bindings/clock/qcom,dispcc-lemans.h
new file mode 100644
index 000000000000..62dda90e271c
--- /dev/null
+++ b/include/dt-bindings/clock/qcom,dispcc-lemans.h
@@ -0,0 +1,81 @@
+/* SPDX-License-Identifier: GPL-2.0-only */
+/*
+ * Copyright (c) 2022, Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+#ifndef _DT_BINDINGS_CLK_QCOM_DISP_CC_LEMANS_H
+#define _DT_BINDINGS_CLK_QCOM_DISP_CC_LEMANS_H
+
+/* DISP_CC clocks */
+#define DISP_CC_PLL0					0
+#define DISP_CC_PLL1					1
+#define DISP_CC_MDSS_AHB1_CLK				2
+#define DISP_CC_MDSS_AHB_CLK				3
+#define DISP_CC_MDSS_AHB_CLK_SRC				4
+#define DISP_CC_MDSS_BYTE0_CLK				5
+#define DISP_CC_MDSS_BYTE0_CLK_SRC			6
+#define DISP_CC_MDSS_BYTE0_DIV_CLK_SRC			7
+#define DISP_CC_MDSS_BYTE0_INTF_CLK			8
+#define DISP_CC_MDSS_BYTE1_CLK				9
+#define DISP_CC_MDSS_BYTE1_CLK_SRC			10
+#define DISP_CC_MDSS_BYTE1_DIV_CLK_SRC			11
+#define DISP_CC_MDSS_BYTE1_INTF_CLK			12
+#define DISP_CC_MDSS_DPTX0_AUX_CLK			13
+#define DISP_CC_MDSS_DPTX0_AUX_CLK_SRC			14
+#define DISP_CC_MDSS_DPTX0_CRYPTO_CLK			15
+#define DISP_CC_MDSS_DPTX0_CRYPTO_CLK_SRC		16
+#define DISP_CC_MDSS_DPTX0_LINK_CLK			17
+#define DISP_CC_MDSS_DPTX0_LINK_CLK_SRC			18
+#define DISP_CC_MDSS_DPTX0_LINK_DIV_CLK_SRC		19
+#define DISP_CC_MDSS_DPTX0_LINK_INTF_CLK			20
+#define DISP_CC_MDSS_DPTX0_PIXEL0_CLK			21
+#define DISP_CC_MDSS_DPTX0_PIXEL0_CLK_SRC		22
+#define DISP_CC_MDSS_DPTX0_PIXEL1_CLK			23
+#define DISP_CC_MDSS_DPTX0_PIXEL1_CLK_SRC		24
+#define DISP_CC_MDSS_DPTX0_PIXEL2_CLK			25
+#define DISP_CC_MDSS_DPTX0_PIXEL2_CLK_SRC		26
+#define DISP_CC_MDSS_DPTX0_PIXEL3_CLK			27
+#define DISP_CC_MDSS_DPTX0_PIXEL3_CLK_SRC		28
+#define DISP_CC_MDSS_DPTX0_USB_ROUTER_LINK_INTF_CLK	29
+#define DISP_CC_MDSS_DPTX1_AUX_CLK			30
+#define DISP_CC_MDSS_DPTX1_AUX_CLK_SRC			31
+#define DISP_CC_MDSS_DPTX1_CRYPTO_CLK			32
+#define DISP_CC_MDSS_DPTX1_CRYPTO_CLK_SRC		33
+#define DISP_CC_MDSS_DPTX1_LINK_CLK			34
+#define DISP_CC_MDSS_DPTX1_LINK_CLK_SRC			35
+#define DISP_CC_MDSS_DPTX1_LINK_DIV_CLK_SRC		36
+#define DISP_CC_MDSS_DPTX1_LINK_INTF_CLK			37
+#define DISP_CC_MDSS_DPTX1_PIXEL0_CLK			38
+#define DISP_CC_MDSS_DPTX1_PIXEL0_CLK_SRC		39
+#define DISP_CC_MDSS_DPTX1_PIXEL1_CLK			40
+#define DISP_CC_MDSS_DPTX1_PIXEL1_CLK_SRC		41
+#define DISP_CC_MDSS_DPTX1_USB_ROUTER_LINK_INTF_CLK	42
+#define DISP_CC_MDSS_ESC0_CLK				43
+#define DISP_CC_MDSS_ESC0_CLK_SRC			44
+#define DISP_CC_MDSS_ESC1_CLK				45
+#define DISP_CC_MDSS_ESC1_CLK_SRC			46
+#define DISP_CC_MDSS_MDP1_CLK				47
+#define DISP_CC_MDSS_MDP_CLK				48
+#define DISP_CC_MDSS_MDP_CLK_SRC				49
+#define DISP_CC_MDSS_MDP_LUT1_CLK			50
+#define DISP_CC_MDSS_MDP_LUT_CLK				51
+#define DISP_CC_MDSS_NON_GDSC_AHB_CLK			52
+#define DISP_CC_MDSS_PCLK0_CLK				53
+#define DISP_CC_MDSS_PCLK0_CLK_SRC			54
+#define DISP_CC_MDSS_PCLK1_CLK				55
+#define DISP_CC_MDSS_PCLK1_CLK_SRC			56
+#define DISP_CC_MDSS_RSCC_AHB_CLK			57
+#define DISP_CC_MDSS_RSCC_VSYNC_CLK			58
+#define DISP_CC_MDSS_VSYNC1_CLK				59
+#define DISP_CC_MDSS_VSYNC_CLK				60
+#define DISP_CC_MDSS_VSYNC_CLK_SRC			61
+#define DISP_CC_SLEEP_CLK				62
+#define DISP_CC_SLEEP_CLK_SRC				63
+#define DISP_CC_XO_CLK					64
+#define DISP_CC_XO_CLK_SRC				65
+
+/* DISP_CC resets */
+#define DISP_CC_MDSS_CORE_BCR				0
+#define DISP_CC_MDSS_RSCC_BCR				1
+
+#endif
diff --git a/include/dt-bindings/clock/qcom,gcc-lemans.h b/include/dt-bindings/clock/qcom,gcc-lemans.h
new file mode 100644
index 000000000000..fd03da8af23e
--- /dev/null
+++ b/include/dt-bindings/clock/qcom,gcc-lemans.h
@@ -0,0 +1,298 @@
+/* SPDX-License-Identifier: GPL-2.0-only */
+/*
+ * Copyright (c) 2022, Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+#ifndef _DT_BINDINGS_CLK_QCOM_GCC_LEMANS_H
+#define _DT_BINDINGS_CLK_QCOM_GCC_LEMANS_H
+
+/* GCC clocks */
+#define GCC_GPLL0					0
+#define GCC_GPLL0_OUT_EVEN				1
+#define GCC_GPLL1					2
+#define GCC_GPLL4					3
+#define GCC_GPLL5					4
+#define GCC_GPLL7					5
+#define GCC_GPLL9					6
+#define GCC_AGGRE_NOC_QUPV3_AXI_CLK			7
+#define GCC_AGGRE_UFS_CARD_AXI_CLK			8
+#define GCC_AGGRE_UFS_PHY_AXI_CLK			9
+#define GCC_AGGRE_USB2_PRIM_AXI_CLK			10
+#define GCC_AGGRE_USB3_PRIM_AXI_CLK			11
+#define GCC_AGGRE_USB3_SEC_AXI_CLK			12
+#define GCC_AHB2PHY0_CLK				13
+#define GCC_AHB2PHY2_CLK				14
+#define GCC_AHB2PHY3_CLK				15
+#define GCC_BOOT_ROM_AHB_CLK				16
+#define GCC_CAMERA_AHB_CLK				17
+#define GCC_CAMERA_HF_AXI_CLK				18
+#define GCC_CAMERA_SF_AXI_CLK				19
+#define GCC_CAMERA_THROTTLE_XO_CLK			20
+#define GCC_CAMERA_XO_CLK				21
+#define GCC_CFG_NOC_USB2_PRIM_AXI_CLK			22
+#define GCC_CFG_NOC_USB3_PRIM_AXI_CLK			23
+#define GCC_CFG_NOC_USB3_SEC_AXI_CLK			24
+#define GCC_DDRSS_GPU_AXI_CLK				25
+#define GCC_DISP1_AHB_CLK				26
+#define GCC_DISP1_HF_AXI_CLK				27
+#define GCC_DISP1_XO_CLK				28
+#define GCC_DISP_AHB_CLK				29
+#define GCC_DISP_HF_AXI_CLK				30
+#define GCC_DISP_XO_CLK					31
+#define GCC_EDP_REF_CLKREF_EN				32
+#define GCC_EMAC0_AXI_CLK				33
+#define GCC_EMAC0_PHY_AUX_CLK				34
+#define GCC_EMAC0_PHY_AUX_CLK_SRC			35
+#define GCC_EMAC0_PTP_CLK				36
+#define GCC_EMAC0_PTP_CLK_SRC				37
+#define GCC_EMAC0_RGMII_CLK				38
+#define GCC_EMAC0_RGMII_CLK_SRC				39
+#define GCC_EMAC0_SLV_AHB_CLK				40
+#define GCC_EMAC1_AXI_CLK				41
+#define GCC_EMAC1_PHY_AUX_CLK				42
+#define GCC_EMAC1_PHY_AUX_CLK_SRC			43
+#define GCC_EMAC1_PTP_CLK				44
+#define GCC_EMAC1_PTP_CLK_SRC				45
+#define GCC_EMAC1_RGMII_CLK				46
+#define GCC_EMAC1_RGMII_CLK_SRC				47
+#define GCC_EMAC1_SLV_AHB_CLK				48
+#define GCC_GP1_CLK					49
+#define GCC_GP1_CLK_SRC					50
+#define GCC_GP2_CLK					51
+#define GCC_GP2_CLK_SRC					52
+#define GCC_GP3_CLK					53
+#define GCC_GP3_CLK_SRC					54
+#define GCC_GP4_CLK					55
+#define GCC_GP4_CLK_SRC					56
+#define GCC_GP5_CLK					57
+#define GCC_GP5_CLK_SRC					58
+#define GCC_GPU_CFG_AHB_CLK				59
+#define GCC_GPU_GPLL0_CLK_SRC				60
+#define GCC_GPU_GPLL0_DIV_CLK_SRC			61
+#define GCC_GPU_MEMNOC_GFX_CLK				62
+#define GCC_GPU_SNOC_DVM_GFX_CLK			63
+#define GCC_GPU_TCU_THROTTLE_AHB_CLK			64
+#define GCC_GPU_TCU_THROTTLE_CLK			65
+#define GCC_PCIE_0_AUX_CLK				66
+#define GCC_PCIE_0_AUX_CLK_SRC				67
+#define GCC_PCIE_0_CFG_AHB_CLK				68
+#define GCC_PCIE_0_MSTR_AXI_CLK				69
+#define GCC_PCIE_0_PHY_AUX_CLK				70
+#define GCC_PCIE_0_PHY_AUX_CLK_SRC			71
+#define GCC_PCIE_0_PHY_RCHNG_CLK			72
+#define GCC_PCIE_0_PHY_RCHNG_CLK_SRC			73
+#define GCC_PCIE_0_PIPE_CLK				74
+#define GCC_PCIE_0_PIPE_CLK_SRC				75
+#define GCC_PCIE_0_PIPE_DIV_CLK_SRC			76
+#define GCC_PCIE_0_PIPEDIV2_CLK				77
+#define GCC_PCIE_0_SLV_AXI_CLK				78
+#define GCC_PCIE_0_SLV_Q2A_AXI_CLK			79
+#define GCC_PCIE_1_AUX_CLK				80
+#define GCC_PCIE_1_AUX_CLK_SRC				81
+#define GCC_PCIE_1_CFG_AHB_CLK				82
+#define GCC_PCIE_1_MSTR_AXI_CLK				83
+#define GCC_PCIE_1_PHY_AUX_CLK				84
+#define GCC_PCIE_1_PHY_AUX_CLK_SRC			85
+#define GCC_PCIE_1_PHY_RCHNG_CLK			86
+#define GCC_PCIE_1_PHY_RCHNG_CLK_SRC			87
+#define GCC_PCIE_1_PIPE_CLK				88
+#define GCC_PCIE_1_PIPE_CLK_SRC				89
+#define GCC_PCIE_1_PIPE_DIV_CLK_SRC			90
+#define GCC_PCIE_1_PIPEDIV2_CLK				91
+#define GCC_PCIE_1_SLV_AXI_CLK				92
+#define GCC_PCIE_1_SLV_Q2A_AXI_CLK			93
+#define GCC_PCIE_CLKREF_EN				94
+#define GCC_PCIE_THROTTLE_CFG_CLK			95
+#define GCC_PDM2_CLK					96
+#define GCC_PDM2_CLK_SRC				97
+#define GCC_PDM_AHB_CLK					98
+#define GCC_PDM_XO4_CLK					99
+#define GCC_QMIP_CAMERA_NRT_AHB_CLK			100
+#define GCC_QMIP_CAMERA_RT_AHB_CLK			101
+#define GCC_QMIP_DISP1_AHB_CLK				102
+#define GCC_QMIP_DISP1_ROT_AHB_CLK			103
+#define GCC_QMIP_DISP_AHB_CLK				104
+#define GCC_QMIP_DISP_ROT_AHB_CLK			105
+#define GCC_QMIP_VIDEO_CVP_AHB_CLK			106
+#define GCC_QMIP_VIDEO_VCODEC_AHB_CLK			107
+#define GCC_QMIP_VIDEO_VCPU_AHB_CLK			108
+#define GCC_QUPV3_WRAP0_CORE_2X_CLK			109
+#define GCC_QUPV3_WRAP0_CORE_CLK			110
+#define GCC_QUPV3_WRAP0_S0_CLK				111
+#define GCC_QUPV3_WRAP0_S0_CLK_SRC			112
+#define GCC_QUPV3_WRAP0_S1_CLK				113
+#define GCC_QUPV3_WRAP0_S1_CLK_SRC			114
+#define GCC_QUPV3_WRAP0_S2_CLK				115
+#define GCC_QUPV3_WRAP0_S2_CLK_SRC			116
+#define GCC_QUPV3_WRAP0_S3_CLK				117
+#define GCC_QUPV3_WRAP0_S3_CLK_SRC			118
+#define GCC_QUPV3_WRAP0_S4_CLK				119
+#define GCC_QUPV3_WRAP0_S4_CLK_SRC			120
+#define GCC_QUPV3_WRAP0_S5_CLK				121
+#define GCC_QUPV3_WRAP0_S5_CLK_SRC			122
+#define GCC_QUPV3_WRAP0_S6_CLK				123
+#define GCC_QUPV3_WRAP0_S6_CLK_SRC			124
+#define GCC_QUPV3_WRAP1_CORE_2X_CLK			125
+#define GCC_QUPV3_WRAP1_CORE_CLK			126
+#define GCC_QUPV3_WRAP1_S0_CLK				127
+#define GCC_QUPV3_WRAP1_S0_CLK_SRC			128
+#define GCC_QUPV3_WRAP1_S1_CLK				129
+#define GCC_QUPV3_WRAP1_S1_CLK_SRC			130
+#define GCC_QUPV3_WRAP1_S2_CLK				131
+#define GCC_QUPV3_WRAP1_S2_CLK_SRC			132
+#define GCC_QUPV3_WRAP1_S3_CLK				133
+#define GCC_QUPV3_WRAP1_S3_CLK_SRC			134
+#define GCC_QUPV3_WRAP1_S4_CLK				135
+#define GCC_QUPV3_WRAP1_S4_CLK_SRC			136
+#define GCC_QUPV3_WRAP1_S5_CLK				137
+#define GCC_QUPV3_WRAP1_S5_CLK_SRC			138
+#define GCC_QUPV3_WRAP1_S6_CLK				139
+#define GCC_QUPV3_WRAP1_S6_CLK_SRC			140
+#define GCC_QUPV3_WRAP2_CORE_2X_CLK			141
+#define GCC_QUPV3_WRAP2_CORE_CLK			142
+#define GCC_QUPV3_WRAP2_S0_CLK				143
+#define GCC_QUPV3_WRAP2_S0_CLK_SRC			144
+#define GCC_QUPV3_WRAP2_S1_CLK				145
+#define GCC_QUPV3_WRAP2_S1_CLK_SRC			146
+#define GCC_QUPV3_WRAP2_S2_CLK				147
+#define GCC_QUPV3_WRAP2_S2_CLK_SRC			148
+#define GCC_QUPV3_WRAP2_S3_CLK				149
+#define GCC_QUPV3_WRAP2_S3_CLK_SRC			150
+#define GCC_QUPV3_WRAP2_S4_CLK				151
+#define GCC_QUPV3_WRAP2_S4_CLK_SRC			152
+#define GCC_QUPV3_WRAP2_S5_CLK				153
+#define GCC_QUPV3_WRAP2_S5_CLK_SRC			154
+#define GCC_QUPV3_WRAP2_S6_CLK				155
+#define GCC_QUPV3_WRAP2_S6_CLK_SRC			156
+#define GCC_QUPV3_WRAP3_CORE_2X_CLK			157
+#define GCC_QUPV3_WRAP3_CORE_CLK			158
+#define GCC_QUPV3_WRAP3_QSPI_CLK			159
+#define GCC_QUPV3_WRAP3_S0_CLK				160
+#define GCC_QUPV3_WRAP3_S0_CLK_SRC			161
+#define GCC_QUPV3_WRAP3_S0_DIV_CLK_SRC			162
+#define GCC_QUPV3_WRAP_0_M_AHB_CLK			163
+#define GCC_QUPV3_WRAP_0_S_AHB_CLK			164
+#define GCC_QUPV3_WRAP_1_M_AHB_CLK			165
+#define GCC_QUPV3_WRAP_1_S_AHB_CLK			166
+#define GCC_QUPV3_WRAP_2_M_AHB_CLK			167
+#define GCC_QUPV3_WRAP_2_S_AHB_CLK			168
+#define GCC_QUPV3_WRAP_3_M_AHB_CLK			169
+#define GCC_QUPV3_WRAP_3_S_AHB_CLK			170
+#define GCC_SDCC1_AHB_CLK				171
+#define GCC_SDCC1_APPS_CLK				172
+#define GCC_SDCC1_APPS_CLK_SRC				173
+#define GCC_SDCC1_ICE_CORE_CLK				174
+#define GCC_SDCC1_ICE_CORE_CLK_SRC			175
+#define GCC_SGMI_CLKREF_EN				176
+#define GCC_TSCSS_AHB_CLK				177
+#define GCC_TSCSS_CNTR_CLK_SRC				178
+#define GCC_TSCSS_ETU_CLK				179
+#define GCC_TSCSS_GLOBAL_CNTR_CLK			180
+#define GCC_UFS_CARD_AHB_CLK				181
+#define GCC_UFS_CARD_AXI_CLK				182
+#define GCC_UFS_CARD_AXI_CLK_SRC			183
+#define GCC_UFS_CARD_ICE_CORE_CLK			184
+#define GCC_UFS_CARD_ICE_CORE_CLK_SRC			185
+#define GCC_UFS_CARD_PHY_AUX_CLK			186
+#define GCC_UFS_CARD_PHY_AUX_CLK_SRC			187
+#define GCC_UFS_CARD_RX_SYMBOL_0_CLK			188
+#define GCC_UFS_CARD_RX_SYMBOL_0_CLK_SRC		189
+#define GCC_UFS_CARD_RX_SYMBOL_1_CLK			190
+#define GCC_UFS_CARD_RX_SYMBOL_1_CLK_SRC		191
+#define GCC_UFS_CARD_TX_SYMBOL_0_CLK			192
+#define GCC_UFS_CARD_TX_SYMBOL_0_CLK_SRC		193
+#define GCC_UFS_CARD_UNIPRO_CORE_CLK			194
+#define GCC_UFS_CARD_UNIPRO_CORE_CLK_SRC		195
+#define GCC_UFS_PHY_AHB_CLK				196
+#define GCC_UFS_PHY_AXI_CLK				197
+#define GCC_UFS_PHY_AXI_CLK_SRC				198
+#define GCC_UFS_PHY_ICE_CORE_CLK			199
+#define GCC_UFS_PHY_ICE_CORE_CLK_SRC			200
+#define GCC_UFS_PHY_PHY_AUX_CLK				201
+#define GCC_UFS_PHY_PHY_AUX_CLK_SRC			202
+#define GCC_UFS_PHY_RX_SYMBOL_0_CLK			203
+#define GCC_UFS_PHY_RX_SYMBOL_0_CLK_SRC			204
+#define GCC_UFS_PHY_RX_SYMBOL_1_CLK			205
+#define GCC_UFS_PHY_RX_SYMBOL_1_CLK_SRC			206
+#define GCC_UFS_PHY_TX_SYMBOL_0_CLK			207
+#define GCC_UFS_PHY_TX_SYMBOL_0_CLK_SRC			208
+#define GCC_UFS_PHY_UNIPRO_CORE_CLK			209
+#define GCC_UFS_PHY_UNIPRO_CORE_CLK_SRC			210
+#define GCC_USB20_MASTER_CLK				211
+#define GCC_USB20_MASTER_CLK_SRC			212
+#define GCC_USB20_MOCK_UTMI_CLK				213
+#define GCC_USB20_MOCK_UTMI_CLK_SRC			214
+#define GCC_USB20_MOCK_UTMI_POSTDIV_CLK_SRC		215
+#define GCC_USB20_SLEEP_CLK				216
+#define GCC_USB30_PRIM_MASTER_CLK			217
+#define GCC_USB30_PRIM_MASTER_CLK_SRC			218
+#define GCC_USB30_PRIM_MOCK_UTMI_CLK			219
+#define GCC_USB30_PRIM_MOCK_UTMI_CLK_SRC		220
+#define GCC_USB30_PRIM_MOCK_UTMI_POSTDIV_CLK_SRC	221
+#define GCC_USB30_PRIM_SLEEP_CLK			222
+#define GCC_USB30_SEC_MASTER_CLK			223
+#define GCC_USB30_SEC_MASTER_CLK_SRC			224
+#define GCC_USB30_SEC_MOCK_UTMI_CLK			225
+#define GCC_USB30_SEC_MOCK_UTMI_CLK_SRC			226
+#define GCC_USB30_SEC_MOCK_UTMI_POSTDIV_CLK_SRC		227
+#define GCC_USB30_SEC_SLEEP_CLK				228
+#define GCC_USB3_PRIM_PHY_AUX_CLK			229
+#define GCC_USB3_PRIM_PHY_AUX_CLK_SRC			230
+#define GCC_USB3_PRIM_PHY_COM_AUX_CLK			231
+#define GCC_USB3_PRIM_PHY_PIPE_CLK			232
+#define GCC_USB3_PRIM_PHY_PIPE_CLK_SRC			233
+#define GCC_USB3_SEC_PHY_AUX_CLK			234
+#define GCC_USB3_SEC_PHY_AUX_CLK_SRC			235
+#define GCC_USB3_SEC_PHY_COM_AUX_CLK			236
+#define GCC_USB3_SEC_PHY_PIPE_CLK			237
+#define GCC_USB3_SEC_PHY_PIPE_CLK_SRC			238
+#define GCC_USB_CLKREF_EN				239
+#define GCC_VIDEO_AHB_CLK				240
+#define GCC_VIDEO_AXI0_CLK				241
+#define GCC_VIDEO_AXI1_CLK				242
+#define GCC_VIDEO_XO_CLK				243
+#define GCC_AGGRE_UFS_PHY_AXI_HW_CTL_CLK		244
+#define GCC_UFS_PHY_AXI_HW_CTL_CLK			245
+#define GCC_UFS_PHY_ICE_CORE_HW_CTL_CLK			246
+#define GCC_UFS_PHY_PHY_AUX_HW_CTL_CLK			247
+#define GCC_UFS_PHY_UNIPRO_CORE_HW_CTL_CLK		248
+
+/* GCC resets */
+#define GCC_EMAC0_BCR					0
+#define GCC_EMAC1_BCR					1
+#define GCC_PCIE_0_BCR					2
+#define GCC_PCIE_0_LINK_DOWN_BCR			3
+#define GCC_PCIE_0_NOCSR_COM_PHY_BCR			4
+#define GCC_PCIE_0_PHY_BCR				5
+#define GCC_PCIE_0_PHY_NOCSR_COM_PHY_BCR		6
+#define GCC_PCIE_1_BCR					7
+#define GCC_PCIE_1_LINK_DOWN_BCR			8
+#define GCC_PCIE_1_NOCSR_COM_PHY_BCR			9
+#define GCC_PCIE_1_PHY_BCR				10
+#define GCC_PCIE_1_PHY_NOCSR_COM_PHY_BCR		11
+#define GCC_PCIE_RSCC_BCR				12
+#define GCC_SDCC1_BCR					13
+#define GCC_UFS_CARD_BCR				14
+#define GCC_UFS_PHY_BCR					15
+#define GCC_USB20_PRIM_BCR				16
+#define GCC_USB2_PHY_PRIM_BCR				17
+#define GCC_USB2_PHY_SEC_BCR				18
+#define GCC_USB30_PRIM_BCR				19
+#define GCC_USB30_SEC_BCR				20
+#define GCC_USB3_DP_PHY_PRIM_BCR			21
+#define GCC_USB3_DP_PHY_SEC_BCR				22
+#define GCC_USB3_PHY_PRIM_BCR				23
+#define GCC_USB3_PHY_SEC_BCR				24
+#define GCC_USB3_PHY_TERT_BCR				25
+#define GCC_USB3_UNIPHY_MP0_BCR				26
+#define GCC_USB3_UNIPHY_MP1_BCR				27
+#define GCC_USB3PHY_PHY_PRIM_BCR			28
+#define GCC_USB3PHY_PHY_SEC_BCR				29
+#define GCC_USB3UNIPHY_PHY_MP0_BCR			30
+#define GCC_USB3UNIPHY_PHY_MP1_BCR			31
+#define GCC_USB_PHY_CFG_AHB2PHY_BCR			32
+#define GCC_VIDEO_BCR					33
+#define GCC_VIDEO_AXI0_CLK_ARES				34
+#define GCC_VIDEO_AXI1_CLK_ARES				35
+
+#endif
diff --git a/include/dt-bindings/clock/qcom,gpucc-lemans.h b/include/dt-bindings/clock/qcom,gpucc-lemans.h
new file mode 100644
index 000000000000..d5599e65f289
--- /dev/null
+++ b/include/dt-bindings/clock/qcom,gpucc-lemans.h
@@ -0,0 +1,34 @@
+/* SPDX-License-Identifier: GPL-2.0-only */
+/*
+ * Copyright (c) 2022, Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+#ifndef _DT_BINDINGS_CLK_QCOM_GPU_CC_LEMANS_H
+#define _DT_BINDINGS_CLK_QCOM_GPU_CC_LEMANS_H
+
+/* GPU_CC clocks */
+#define GPU_CC_PLL0						0
+#define GPU_CC_PLL1						1
+#define GPU_CC_AHB_CLK						2
+#define GPU_CC_CB_CLK						3
+#define GPU_CC_CRC_AHB_CLK					4
+#define GPU_CC_CX_FF_CLK					5
+#define GPU_CC_CX_GMU_CLK					6
+#define GPU_CC_CX_SNOC_DVM_CLK					7
+#define GPU_CC_CXO_AON_CLK					8
+#define GPU_CC_CXO_CLK						9
+#define GPU_CC_DEMET_CLK					10
+#define GPU_CC_DEMET_DIV_CLK_SRC				11
+#define GPU_CC_FF_CLK_SRC					12
+#define GPU_CC_GMU_CLK_SRC					13
+#define GPU_CC_HLOS1_VOTE_GPU_SMMU_CLK				14
+#define GPU_CC_HUB_AHB_DIV_CLK_SRC				15
+#define GPU_CC_HUB_AON_CLK					16
+#define GPU_CC_HUB_CLK_SRC					17
+#define GPU_CC_HUB_CX_INT_CLK					18
+#define GPU_CC_HUB_CX_INT_DIV_CLK_SRC				19
+#define GPU_CC_MEMNOC_GFX_CLK					20
+#define GPU_CC_SLEEP_CLK					21
+#define GPU_CC_XO_CLK_SRC					22
+
+#endif
diff --git a/include/dt-bindings/clock/qcom,videocc-lemans.h b/include/dt-bindings/clock/qcom,videocc-lemans.h
new file mode 100644
index 000000000000..61175abbce43
--- /dev/null
+++ b/include/dt-bindings/clock/qcom,videocc-lemans.h
@@ -0,0 +1,38 @@
+/* SPDX-License-Identifier: GPL-2.0-only */
+/*
+ * Copyright (c) 2022, Qualcomm Innovation Center, Inc. All rights reserved.
+ */
+
+#ifndef _DT_BINDINGS_CLK_QCOM_VIDEO_CC_LEMANS_H
+#define _DT_BINDINGS_CLK_QCOM_VIDEO_CC_LEMANS_H
+
+/* VIDEO_CC clocks */
+#define VIDEO_PLL0					0
+#define VIDEO_PLL1					1
+#define VIDEO_CC_AHB_CLK				2
+#define VIDEO_CC_AHB_CLK_SRC				3
+#define VIDEO_CC_MVS0_CLK				4
+#define VIDEO_CC_MVS0_CLK_SRC				5
+#define VIDEO_CC_MVS0_DIV_CLK_SRC			6
+#define VIDEO_CC_MVS0C_CLK				7
+#define VIDEO_CC_MVS0C_DIV2_DIV_CLK_SRC			8
+#define VIDEO_CC_MVS1_CLK				9
+#define VIDEO_CC_MVS1_CLK_SRC				10
+#define VIDEO_CC_MVS1_DIV_CLK_SRC			11
+#define VIDEO_CC_MVS1C_CLK				12
+#define VIDEO_CC_MVS1C_DIV2_DIV_CLK_SRC			13
+#define VIDEO_CC_SLEEP_CLK				14
+#define VIDEO_CC_SLEEP_CLK_SRC				15
+#define VIDEO_CC_XO_CLK					16
+#define VIDEO_CC_XO_CLK_SRC				17
+
+/* VIDEO_CC resets */
+#define CVP_VIDEO_CC_INTERFACE_BCR			0
+#define CVP_VIDEO_CC_MVS0_BCR				1
+#define CVP_VIDEO_CC_MVS0C_BCR				2
+#define CVP_VIDEO_CC_MVS1_BCR				3
+#define CVP_VIDEO_CC_MVS1C_BCR				4
+#define VIDEO_CC_MVS0C_CLK_ARES				5
+#define VIDEO_CC_MVS1C_CLK_ARES				6
+
+#endif
-- 
2.31.1

